<template>
	<wd-cell-group title="申请信息">
		
		<wd-cell title="申请人" :value="info.name" />
		<wd-cell title="申请时间" :value="info.sqtime" />
		<wd-cell title="申请单位" :value="info.sqdw_dictText" />
		<wd-cell title="设备类型" :value="info.sblx" />
		<wd-cell title="设备型号" :value="info.sbxh" />
		<wd-cell title="数量" :value="info.sbsl" />
		<wd-cell title="维修类型" :value="info.wxlx" />
		<wd-cell title="故障现象" />
		<wd-textarea  title="" v-model="info.gzxx" readonly/>
		<wd-cell title="维修内容" />
		<wd-textarea  title="维修内容" v-model="info.wxnr" readonly/>
	</wd-cell-group>
</template>

<script setup>
	import {
		queryByIdApi
	} from '@/api/OfficeEquipmentMaintenanceApplication/bpmApi'
	
	const info = ref({})
	const image = ref([])
	const gzxxvalue = ref('')//故障现象
	const wxnrvalue = ref('')//维修内容
	const props = defineProps({
		formData: {
			type: Object,
			default: () => {},
		}
	})

	// 申请信息
	const QueryById = () => {
		queryByIdApi(props.formData.dataId).then((res) => {			
			console.log("res----------------",res)
			if (res.success) {
				info.value = res.result.records[0]
				// gzxxvalue= res.result.gzxx
				// wxnrvalue= res.result.wxnr
			}
		})
	}

	onMounted(() => {
		QueryById()
	})
</script>
